For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Workflow
      • POSTExecute Workflow Async
      • STREAMExecute Workflow as Stream
      • GETCheck Workflow Execution Status
      • POSTSubmit Workflow Execution Actuals
LogoLogo
BlogLog InRequest Demo
Client SDKWorkflows

Execute Workflow

GA
POST
https://predict.vellum.ai/v1/execute-workflow
POST
/v1/execute-workflow
1import requests
2
3url = "https://predict.vellum.ai/v1/execute-workflow"
4
5payload = { "inputs": [
6 {
7 "name": "string",
8 "type": "STRING",
9 "value": "string"
10 }
11 ] }
12headers = {
13 "X-API-KEY": "<apiKey>",
14 "Content-Type": "application/json"
15}
16
17response = requests.post(url, json=payload, headers=headers)
18
19print(response.json())
1{
2 "execution_id": "string",
3 "data": {
4 "id": "string",
5 "state": "FULFILLED",
6 "ts": "2024-01-15T09:30:00Z",
7 "outputs": [
8 {
9 "id": "string",
10 "name": "string",
11 "type": "STRING",
12 "value": "string"
13 }
14 ]
15 },
16 "external_id": "string",
17 "run_id": "string"
18}
Executes a deployed Workflow and returns its outputs.
Was this page helpful?
Previous

Execute Workflow Async

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Headers

X-API-VersionstringOptional

Request

This endpoint expects an object.
inputslist of objectsRequired
The list of inputs defined in the Workflow's Deployment with their corresponding values.
expand_metaobject or nullOptional

An optionally specified configuration used to opt in to including additional metadata about this workflow execution in the API response. Corresponding values will be returned under the execution_meta key within NODE events in the response stream.

workflow_deployment_idstring or nullOptionalformat: "uuid"

The ID of the Workflow Deployment. Must provide either this or workflow_deployment_name.

workflow_deployment_namestring or nullOptional>=1 character

The name of the Workflow Deployment. Must provide either this or workflow_deployment_id.

release_tagstring or nullOptional>=1 character
Optionally specify a release tag if you want to pin to a specific release of the Workflow Deployment
external_idstring or nullOptional>=1 character
Optionally include a unique identifier for tracking purposes. Must be unique within a given Workspace.
metadatamap from strings to any or nullOptional
Arbitrary JSON metadata associated with this request. Can be used to capture additional monitoring data such as user id, session id, etc. for future analysis.
previous_execution_idstring or nullOptionalformat: "uuid"
The ID of a previous Workflow Execution to reference for initial State loading.

Response

execution_idstring
dataobject
external_idstring or null
run_idstring or nullDeprecated

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error